Subject: [bug#47086] [PATCH] gnu: tig: Update to 2.5.3.

From: "jgart" <[email-masked]>
Date: Wed, 17 Mar 2021 18:57:01 +0000

Hi Ludo and zimoun,

I discussed this further with LibreMiami members and we are thinking about the following solution to
this issue:

We would still author commits as LibreMiami with our group email, [email-masked].
All the co-authors would be listed in the commit body, as usual.

LibreMiami would not be mentioned in any copyright statements going forward. Instead, we would add the
copyright statement for each contributor at the top of the file. 

We might have several individuals contributing in one packaging session. Would this pose any issues?

For example, there's a possibility that we might have 10 new contributors in one packaging session and therefore 10 new copyright statements at the top of source code files that might get introduced in that one session alone. 

This was one of the main reasons why we collectively agreed on adding LibreMiami's copyright statement to the top of source code files.

What are your thoughts on this matter? Should I move this to a mailing list discussion?

all the best,

jgart

libremiami.org

March 17, 2021 7:05 AM, "Ludovic Courtès" <[email-masked]> wrote:

> Hi,
> 
> "jgart" <[email-masked]> skribis:
> 
>> From ab371a326536a91f7e1caa288e25a9a0818e2b7b Mon Sep 17 00:00:00 2001
>> From: LibreMiami <[email-masked]>
>> Date: Thu, 11 Mar 2021 23:49:11 -0500
>> Subject: [PATCH] gnu: tig: Update to 2.5.3.
>> 
>> * gnu/packages/version-control.scm (tig): Update to 2.5.3.
>> 
>> Co-authored-by: jgart <[email-masked]>
>> Co-authored-by: donotshake <donotshake:matrix.org>
> 
> Applied.
> 
> However I agree with zimoun that assigning copyright to LibreMiami is
> debatable.
> 
> Thanks,
> Ludo’.